commit:     465ea9ec2489aa271ea438af622d06f4ff11a167
Author:     Bernd Waibel <waebbl-gentoo <AT> posteo <DOT> net>
AuthorDate: Wed Jul 21 20:03:58 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Wed Jul 21 21:57:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=465ea9ec

kde-frameworks/kimageformats: add support for openexr-3

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Bernd Waibel <waebbl-gentoo <AT> posteo.net>
Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 ...eformats-5.84.0.ebuild => kimageformats-5.84.0-r1.ebuild} | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/kde-frameworks/kimageformats/kimageformats-5.84.0.ebuild 
b/kde-frameworks/kimageformats/kimageformats-5.84.0-r1.ebuild
similarity index 87%
rename from kde-frameworks/kimageformats/kimageformats-5.84.0.ebuild
rename to kde-frameworks/kimageformats/kimageformats-5.84.0-r1.ebuild
index 1e0b558caa8..d289229e7c2 100644
--- a/kde-frameworks/kimageformats/kimageformats-5.84.0.ebuild
+++ b/kde-frameworks/kimageformats/kimageformats-5.84.0-r1.ebuild
@@ -21,8 +21,16 @@ DEPEND="
        eps? ( >=dev-qt/qtprintsupport-${QTMIN}:5 )
        heif? ( >=media-libs/libheif-1.10.0:= )
        openexr? (
-               media-libs/ilmbase:=
-               media-libs/openexr:=
+               || (
+                       (
+                       media-libs/ilmbase:0
+                       <media-libs/openexr-3.0.0:0
+                       )
+                       (
+                       dev-libs/imath:3
+                       media-libs/openexr:3
+                       )
+               )
        )
 "
 RDEPEND="${DEPEND}"

Reply via email to